Bug 1409904 - binutils-ppc64-linux-gnu-2.27-3.fc25.x86_64.rpm is broken
Summary: binutils-ppc64-linux-gnu-2.27-3.fc25.x86_64.rpm is broken
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: cross-binutils
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Howells
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-03 20:25 UTC by Oleg Drokin
Modified: 2017-12-12 10:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:17:06 UTC
Type: Bug


Attachments (Terms of Use)

Description Oleg Drokin 2017-01-03 20:25:56 UTC
Description of problem:
When trying to install ppc64 crosscompile tools, binutils-ppc64-linux-gnu rpm could not be installed:

# dnf install binutils-ppc64-linux-gnu.x86_64
Last metadata expiration check: 0:04:13 ago on Tue Jan  3 15:19:58 2017.
Dependencies resolved.
================================================================================
 Package                       Arch        Version            Repository   Size
================================================================================
Installing:
 binutils-ppc64-linux-gnu      x86_64      2.27-3.fc25        fedora       16 k

Transaction Summary
================================================================================
Install  1 Package

Total download size: 16 k
Installed size: 0  
Is this ok [y/N]: y
Downloading Packages:
binutils-ppc64-linux-gnu-2.27-3.fc25.x86_64.rpm 114 kB/s |  16 kB     00:00    
--------------------------------------------------------------------------------
Total                                           8.8 kB/s |  16 kB     00:01     
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Installing  : binutils-ppc64-linux-gnu-2.27-3.fc25.x86_64                 1/1 
Error unpacking rpm package binutils-ppc64-linux-gnu-2.27-3.fc25.x86_64
Error unpacking rpm package binutils-ppc64-linux-gnu-2.27-3.fc25.x86_64
error: unpacking of archive failed on file /usr/ppc64-linux-gnu: cpio: rename
binutils-ppc64-linux-gnu-2.27-3.fc25.x86_64 was supposed to be installed but is not!
  Verifying   : binutils-ppc64-linux-gnu-2.27-3.fc25.x86_64                 1/1 

Failed:
  binutils-ppc64-linux-gnu.x86_64 2.27-3.fc25                                   

Complete!

Comment 1 Dan Horák 2017-01-04 09:59:05 UTC
Isn't there a change from a directory to a symlink (or vice versa) in the binary rpm? Then https://fedoraproject.org/wiki/Packaging:Directory_Replacement would contain a solution.

Comment 2 Fedora End Of Life 2017-11-16 18:38:10 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2017-12-12 10:17:06 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.